//
// File: Circle.cc
// Created by: Sylvain MARECHAL <sylvain.marechal1@libertysurf.fr>
// Created on: Thu Jun  1 22:48:35 2006
//

#include "Circle.h"

void Circle::Hide()
{
	GetDisplay().DrawCircle( GetX(), GetY(), m_r, Display::WHITE );
}

void Circle::Show()
{
	GetDisplay().DrawCircle( GetX(), GetY(), m_r, IsSelected() ? Display::RED : Display::GREEN );
}

void Circle::Bigger()
{
	m_r += 3;
}

void Circle::Smaller()
{
	if( m_r > 7 ) m_r -= 3;
}
