//
// File: Display.h
// Created by: Sylvain MARECHAL <sylvain.marechal1@libertysurf.fr>
// Created on: Thu Jun  1 22:42:46 2006
//

#ifndef _DISPLAY_H_
#define _DISPLAY_H_

class Display
{
	public:
		enum Color { WHITE, BLUE, GREEN, RED, BLACK };
	public:
		Display() {}
		virtual ~Display() {}
	
		// Display interface
		virtual void DrawPoint( int x, int y, Color cr ) = 0;
		virtual void DrawCircle( int x, int y, int r, Color cr ) = 0;
		virtual void DrawLine( int x1, int y1, int x2, int y2, Color cr ) = 0;
		virtual void DrawRectangle( int x, int y, int width, int height, Color cr ) = 0;
	
};

#endif	//_DISPLAY_H_
