//
// File: Line.cc
// Created by: Sylvain MARECHAL <sylvain.marechal1@libertysurf.fr>
// Created on: Thu Jun  1 22:49:04 2006
//

#include "Line.h"

void Line::SetX( int x ) 
{ 
	int prevX = GetX();
	int xInc = x - prevX;
	m_x2 += xInc; 
	Shape::SetX(x);
}
void Line::SetY( int y ) 
{ 
	int prevY = GetY();
	int yInc = y - prevY;
	m_y2 += yInc; 
	Shape::SetY(y);
}

void Line::Hide()
{
	GetDisplay().DrawLine( GetX(), GetY(), m_x2, m_y2, Display::WHITE );
}

void Line::Show()
{
	GetDisplay().DrawLine( GetX(), GetY(), m_x2, m_y2, IsSelected() ? Display::RED : Display::GREEN );
}

void Line::Bigger()
{
	m_x2 += 3;
	m_y2 += 3;
}

void Line::Smaller()
{
	m_x2 -= 3;
	m_y2 -= 3;
}
