#include <stdlib.h>
#include <time.h>
#include <graphics.h>
#include "Circle.h"
#include "Rectan~1.h"
#include "Point.h"
#include "Line.h"
#include "Circle.h"
#include "tcDessin.h"

void Dessin::HideAll()
{
	m_shapeContainer.HideAll();
}

void Dessin::ShowAll()
{
	m_shapeContainer.ShowAll();
}

void Dessin::SelectNext()
{
	m_shapeContainer.SelectNextShape();
}

void Dessin::DeleteCurrent()
{
	m_shapeContainer.RemoveCurrentShape();
}

void Dessin::Bigger()
{
	m_shapeContainer.EnlargeCurrent();
}

void Dessin::Smaller()
{
	m_shapeContainer.MakeCurrentSmaller();
}

void Dessin::MoveLeft()
{
	m_shapeContainer.MoveCurrentShape( -1, 0 );
}

void Dessin::MoveRight()
{
	m_shapeContainer.MoveCurrentShape( 1, 0 );
}

void Dessin::MoveBottom()
{
	m_shapeContainer.MoveCurrentShape( 0, 1 );
}

void Dessin::MoveTop()
{
	m_shapeContainer.MoveCurrentShape( 0, -1 );
}

void Dessin::NewPoint()
{
	m_shapeContainer.AddShape( new Point(m_tcDisplay, GetRandomX(), GetRandomY()) );
}

void Dessin::NewCircle()
{
	m_shapeContainer.AddShape( new Circle(m_tcDisplay, GetRandomX(), GetRandomY(), GetRandomX()/10+5) );
}

void Dessin::NewLine()
{
	m_shapeContainer.AddShape( new Line(m_tcDisplay, GetRandomX(), GetRandomY(), GetRandomX(), GetRandomY()) );
}

void Dessin::NewRectangle()
{
	m_shapeContainer.AddShape( new Rectangle(m_tcDisplay, GetRandomX(), GetRandomY(), GetRandomX()/10 + 20, GetRandomY() / 10 + 10 ) );
}

int Dessin::GetRandomNumber( int n )
{
	static bool s_first = true;
	if( s_first ) 
	{
		srand( time(NULL) );
		s_first = false;
	}
	int r = rand();
	return (r % n );
}

int Dessin::GetRandomX()
{
    return GetRandomNumber( m_xWindow);
}

int Dessin::GetRandomY()
{
    return GetRandomNumber( m_yWindow);
}
