#ifndef TCDESSIN_H
#define TCDESSIN_H

#include "ShapeC~1.h"
#include "tcDisp~2.h"

class Dessin
{
	public:
		Dessin( int xWindow, int yWindow ) : m_xWindow(xWindow), m_yWindow(yWindow) {}
		void HideAll();
		void ShowAll();
		void SelectNext();
		void DeleteCurrent();
		void Bigger();
		void Smaller();
		void MoveLeft();
		void MoveRight();
		void MoveBottom();
		void MoveTop();
		void NewPoint();
		void NewCircle();
		void NewLine();
		void NewRectangle();

		int GetRandomNumber( int n );
		int GetRandomX();
		int GetRandomY();
	private:
		// The important objects are there
		ShapeContainer m_shapeContainer;
		tcDisplay m_tcDisplay;
	private:
		// Window size
		int m_xWindow, m_yWindow;
};

#endif //TCDESSIN_H