//
// File: Circle.h
// Created by: Sylvain MARECHAL <sylvain.marechal1@libertysurf.fr>
// Created on: Thu Jun  1 22:48:35 2006
//

#ifndef _CIRCLE_H_
#define _CIRCLE_H_
#include "Shape.h"

class Circle : public Shape
{
	public:
		Circle(Display & display, int x = 0, int y = 0, int r=0) 
			: Shape(display,x,y), m_r(r) {}
		void Hide();
		void Show();
		void Bigger();
		void Smaller();
	private:
		int m_r;
};


#endif	//_CIRCLE_H_
