//
// File: Line.h
// Created by: Sylvain MARECHAL <sylvain.marechal1@libertysurf.fr>
// Created on: Thu Jun  1 22:49:04 2006
//

#ifndef _LINE_H_
#define _LINE_H_
#include "Shape.h"

class Line : public Shape
{
	public:
		Line(Display & display, int x1 = 0, int y1 = 0, int x2=0, int y2=0) 
			: Shape(display,x1,y1), m_x2(x2), m_y2(y2) {}
	
		void SetX( int x );
		void SetY( int y );
		void Hide();
		void Show();
		void Bigger();
		void Smaller();
	private:
		int m_x2, m_y2;
};

#endif	//_LINE_H_
