//
// File: Rectangle.cc
// Created by: Sylvain MARECHAL <sylvain.marechal1@libertysurf.fr>
// Created on: Fri Jun  2 11:38:37 2006
//
#ifdef __TURBOC__
#include "Rectan~1.h"
#else
#include "Rectangle.h"
#endif

void Rectangle::Hide()
{
	GetDisplay().DrawRectangle( GetX(), GetY(), m_width, m_height, Display::WHITE );
}

void Rectangle::Show()
{
	GetDisplay().DrawRectangle( GetX(), GetY(), m_width, m_height, IsSelected() ? Display::RED : Display::GREEN );
}

void Rectangle::Bigger()
{
	m_width += 3;
	m_height += 3;
}

void Rectangle::Smaller()
{
	if( m_width > 22 ) m_width -= 3;
	if( m_height > 12 ) m_height -= 3;
}
