//
// File: Rectangle.h
// Created by: Sylvain MARECHAL <sylvain.marechal1@libertysurf.fr>
// Created on: Fri Jun  2 11:38:37 2006
//

#ifndef _RECTANGLE_H_
#define _RECTANGLE_H_
#include "Shape.h"

class Rectangle : public Shape
{
	public:
		Rectangle(Display & display, int x = 0, int y = 0, int width, int height ) 
			: Shape(display,x,y), m_width(width), m_height(height) {}
	
		void Hide();
		void Show();
		void Bigger();
		void Smaller();
	private:
		int m_width, m_height;
};


#endif	//_RECTANGLE_H_
